$AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$ = {upVal:"upVal", upBtn:"upBtn", dlg:"dlg"};
$AdfDhtmlInputFilePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputFilePeer$$$$$GetSubIdDomElement$$($subElementId$$26$$) {
  var $component$$2424$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$26$$, $AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$, $component$$2424$$, this, $AdfDhtmlInputFilePeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputFilePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputFilePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputFilePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputFilePeer$$$$$GetBestMatchSubId$$($domElement$$646$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$646$$, this, $AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputFilePeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputFilePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputFilePeer$$.prototype.$GetBestMatchSubId$});
